<?php
/**
 * Pet Business Pro WooCoommerce compatibility hooks.
 *
 * This is the template that includes all WooCoommerce hooks to make the theme compatible with WooCommerce.
 *
 * @package Theme Palace
 * @subpackage Pet Business Pro
 * @since Pet Business Pro 1.0.0
 */

remove_action( 'woocommerce_sidebar', 'woocommerce_get_sidebar', 10 );

function pet_business_pro_before_main_content() {
	echo '<div id="inner-content-wrapper" class="wrapper page-section">';
}
add_action( 'woocommerce_before_main_content', 'pet_business_pro_before_main_content', 5 );

function pet_business_pro_after_main_content() {
	echo '</div>';
}
add_action( 'woocommerce_sidebar', 'pet_business_pro_after_main_content', 20 );

// Change number or products per row to 3
add_filter('loop_shop_columns', 'pet_business_pro_loop_columns');
function pet_business_pro_loop_columns() {
	return 3; // 3 products per row
}

add_action( 'woocommerce_after_main_content', 'pet_business_pro_shop_sidebar', 15 );
if ( ! function_exists( 'pet_business_pro_shop_sidebar' ) ) {
	function pet_business_pro_shop_sidebar() {
		if ( pet_business_pro_is_sidebar_enable() ) {
			get_sidebar();
		}
	}
}